Create SSH access
POST /v1/sandbox/{sandboxID}/ssh/access
POST
/v1/sandbox/{sandboxID}/ssh/access
Create SSH access credentials for a sandbox. Returns an ID to use as the SSH username, a password, and an SSH command.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sandboxID
required
string
Unique sandbox identifier.
Responses
Section titled “ Responses ”SSH access created.
object
id
required
Unique identifier for the SSH access. Used as the SSH username.
string
sandbox_id
required
ID of the sandbox this SSH access is for.
string
password
required
SSH password. Used as the password when connecting via SSH.
string
expires_at
required
When the SSH access expires.
string format: date-time
created_at
required
When the SSH access was created.
string format: date-time
updated_at
required
When the SSH access was last updated.
string format: date-time
ssh_command
required
SSH command to connect to the sandbox.
string
Unauthorized – invalid or missing API key.
object
message
required
Human-readable error message.
string
Resource not found.
object
message
required
Human-readable error message.
string
SSH access already exists for this sandbox.
object
message
required
Human-readable error message.
string